
RADOS - Bug #44156

RenewLease sent to pre-octopus osds during upgrade

02/14/2020 05:20 PM - Neha Ojha

Status: Resolved % Done: 0%

Priority: Urgent Spent time: 0.00 hour

Assignee: Neha Ojha   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Component(RADOS):  

Regression: No Pull request ID: 33339

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

2020-02-09T22:58:19.574+0000 7f114f893700 10 osd.5 pg_epoch: 40 pg[2.2( v 23'1 (0'0,23'1] local-li

s/les=37/38 n=0 ec=20/20 lis/c=37/37 les/c/f=38/38/0 sis=37) [5,10] r=0 lpr=37 crt=23'1 lcod 0'0 m

lcod 0'0 active

+clean] do_peering_event: epoch_sent: 37 epoch_requested: 37 RenewLease

2020-02-09T22:58:19.574+0000 7f114f893700 20 osd.5 pg_epoch: 40 pg[2.2( v 23'1 (0'0,23'1] local-li

s/les=37/38 n=0 ec=20/20 lis/c=37/37 les/c/f=38/38/0 sis=37) [5,10] r=0 lpr=37 crt=23'1 lcod 0'0 m

lcod 0'0 active+clean] recalc_readable_until peer osd.10 ruub 0s

2020-02-09T22:58:19.574+0000 7f114f893700 20 osd.5 pg_epoch: 40 pg[2.2( v 23'1 (0'0,23'1] local-li

s/les=37/38 n=0 ec=20/20 lis/c=37/37 les/c/f=38/38/0 sis=37) [5,10] r=0 lpr=37 crt=23'1 lcod 0'0 m

lcod 0'0 active+clean] recalc_readable_until readable_until[_ub] 0s (sent 25.964872218s)

2020-02-09T22:58:19.574+0000 7f114f893700  1 -- v1:172.21.15.88:6805/14634 --> v1:172.21.15.14:681

4/10983 -- pg_lease(2.2 pg_lease(ru 0s ub 25.964872218s int 16s) e40/40) v1 -- 0x55b5c7146580 con 

0x55b5e488e400

 

Detailed description in https://tracker.ceph.com/issues/43048#note-16

/a/sage-2020-02-09_21:18:03-rados-wip-sage2-testing-2020-02-09-1152-distro-basic-smithi/4749175

History

#1 - 02/14/2020 05:38 PM - Neha Ojha

- Assignee set to Neha Ojha

#2 - 02/14/2020 07:24 PM - Neha Ojha

- Status changed from New to Fix Under Review

- Pull request ID set to 33339

#3 - 02/16/2020 03:30 PM - Sage Weil

- Status changed from Fix Under Review to Resolved
